
Figure - Bug #118197
【IOVDEV-29794】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏屏幕和屏保之间来回闪动
2023-05-23 20:41 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-23

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 10%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��【中控版本号】：03.02.0082.c101����【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230522 09：51

【前提条件】：副屏上电

【操作步骤】

1.副屏正常操作

【实际结果】

1.副屏主界面和屏保界面来回切换

【期望结果】

1.副屏正常保持不动

【备注】：

第136次开机

偶现问题，目前第一次，后面没有复现出来

日志、视频地址：https://ofs.human-horizons.com/#/download/index/5Ua2I8YExhg%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-23 20:42 - CDTS_Test 吴诗雨

由于只出现了一次，没有视频

#2 - 2023-05-23 20:50 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118197
#3 - 2023-05-24 14:54 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 0 to 10

【当前状态】

1、闪动的原因是副屏正常响应了中控的指令

【分析】

1、根据log分析可知，在问题发生时间点09：51：29，在1秒内中控向副屏发送了5次启动屏保的指令，log如下：

05-22 09:51:29.045  2216  5973 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

05-22 09:51:29.549  2216  5980 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

05-22 09:51:29.562  2216  5982 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

05-22 09:51:29.712  2216  5990 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

05-22 09:51:29.879  2216  5994 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

05-22 09:51:30.047  2216  5999 D RemoteControlService: After desEncrypt json is

[{"value":"screensaver","source":1,"type":"screensaver","token":"58GyO9oGYVbHQMR"}]

同时在发此过程中还发送了切换屏保状态的指令，由此可知，副屏正常响应了中控传递的状态，但是中控为什么频繁的发送启动和关闭屏保的指令需要

中控调查。

【下一步】

1、测试确认当时的测试手法，是否有频繁发送启动屏保和退出屏保的指令？

2、中控调查频繁发送指令的原因。

#4 - 2023-05-24 21:22 - CD TEST-方永红

- File Snipaste_2023-05-24_21-21-38.png added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王营

客户反馈如图

#5 - 2023-05-25 14:52 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

副屏响应指令是正常的，需要中控研发排查为什么频繁发送了进入和退出屏保的指令，如果没人操作屏幕需要从APP层或者系统层分析，为什么没有操

作还向副屏发送信息。

#6 - 2023-05-25 15:15 - CDTS_Test 吴诗雨

已同步
#7 - 2023-05-25 16:54 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#8 - 2023-05-25 16:54 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-25 16:54 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#10 - 2023-06-07 19:36 - CD APP-王营

此问题需要中控调查在什么地方调用了遥控器SDK，此消息是由遥控器SDK发送给副屏，具体细节请与王俊阳沟通

Files

Snipaste_2023-05-24_21-21-38.png 39.8 KB 2023-05-24 CD TEST-方永红

2025-07-04 3/3


